Replace abandoned colors in current WMF/Wikimedia products with WikimediaUI palette colors (tracking)
Open, HighPublic

Description

Our color palette M82 got overhauled and made entirely compliant to WCAG 2.0 level AA.
Replace following colors with their level AA conforming palette ones:

  • T154362: Replace deprecated mediawiki.UI Less variables with current ones
  • Main blues to #36c
  • Main reds to #d33
    • #f00
    • #c00
    • #a00
  • Main greys
    • #fff remains as main text color
    • #eee to #eaecf0
    • #ddd mostly to #c8ccd1
    • #ccc to #c8ccd1
    • #bbb to #a2a9b1
    • #aaa to #a2a9b1
    • #999 mostly to #72777d
    • #888 mostly to #72777d
    • #777 to #72777d – core (DateTimeInputWidget…), Vector, ULS, Kartographer
    • #666 to #54595d
    • #555 to #54595d
    • #444 remains for hovered #222
    • #333 to #222Vector, …
    • #252525 to #222– Vector, MobileFrontend, …
    • #222 remains as main text color
    • #000 remains as emphasized text color
  • Other hardcoded greys in core/extensions
    • #fefefe to #f8f9fa
    • #fcfcfc to #f8f9fa
    • #fbfbfb to #f8f9fa
    • #f9f9f9 to #f8f9fa
    • #f7f7f7 to #f8f9fa
    • #f6f6f6 to #f8f9fa
    • #f3f3f3 to #f8f9fa
    • #f2f4f7 to #f8f9fa
    • #f3f3f3 removed – Vector tab bg fallback color
    • #f2f2f2 to #eaecf0
    • #f1f1f1 to #f8f9fa – Echo
    • #ececec to #eaecf0 – Echo
    • #e6e6e6 to #eaecf0
    • #e5e5e5 to #eaecf0 – BetaFeatures
    • #e3e3e3 to #eaecf0
    • #d3d3d3 to #c8ccd1
    • #d2d2d2 to #eaecf0 – core .mw-badge background
    • #d1d1d1 to #c8ccd1Vector SVGs
    • #d0d0d0 to #c8ccd1
    • #c9c9c9 to #c8ccd1
    • #c5c5c5 to #c8ccd1
    • #c0c0c0 to #c8ccd1
    • #bcbcbc to #a2a9b1
    • #a7a9ac to #a2a9b1
    • #9aa0a7 to #a2a9b1, in print to #aaa
    • #9b9b9b to #72777d
    • #989898 to #72777d – RevisionSlider border-color
    • #969696 to #72777d
    • #929292 removed – Vector SVGs
    • #808080 mostly to #72777d – ULS
    • #797979 removed – core SVGs
    • #6c6c6c to #54595dVector SVGs
    • #565656 to #54595d – Translate SVGs, ULS SVGs
    • #4d4d4d to #444Vector main heading color
    • #434343 to #54595d – ULS SVGs
  • Other hardcoded blues in core/extensions
    • #eff3fb to #eaf3ff – CX
    • #eef to #eaf3ff
    • #ecf5ff to #eaf3ff – CX
    • #def to #eaf3ff – core (CalendarWidget…), MinervaNeue, Cite
    • #2f6fab to #2a4b8d
  • Other hardcoded reds in core/extensions
    • #d31300 to #d33
  • Other hardcoded yellows in core/extensions
    • #fefce0 to #fef6e7 – CX
  • Other hardcoded greens in core/extensions
    • #00b08a to #00af89

Exceptions/exempt from modifications:
Core:

  • docs/kss – this should be removed anytime soon from core
  • mw-config/*.css – for config files, should be non-themed
  • resources/src/mediawiki/mediawiki.debug.less – Debug messages, that should be non-themed. Might be picked up when we agree on default, non-themed colors
  • profileinfo.php – Similar like above
  • resources/src/mediawiki/mediawiki.notification.css for non-themed notifications (yet)
  • All print related stylesheets, as they follow a different color palette, example file resources/src/mediawiki.legacy/commonPrint.css

Skin specific styles:

  • Vector background gradient with #fff to #f6f6f6. Might be seen as to disruptive right now.
  • All Modern, MonoBook, other not further developed skins or Apex-theme related stylesheets
  • MW core resources/src/mediawiki.legacy/oldshared.css – for Wikistandard, Nostalgia and CologneBlue, the old pre-Monobook skins
  • jQuery.ui theme styles (abandoned)

Extensions:

  • External jQuery plugins stylesheets
  • Translate extension, it wouldn't make sense to adapt it, the design is out of touch and it is better to wait for a complete redesign
  • WikiEditor (2010): Besides one simplest, closest color adaption for accessibility, changes would be too disruptive

Related Objects

StatusAssignedTask
OpenVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedLadsgroup
ResolvedLadsgroup
ResolvedWMDE-Fisch
ResolvedVolker_E
ResolvedDbrant
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedPrtksxna
ResolvedVolker_E
OpenVolker_E
ResolvedVolker_E
ResolvedVolker_E
OpenNone
DeclinedLadsgroup
ResolvedVolker_E
ResolvedEddieGP
ResolvedVolker_E
ResolvedVolker_E
ResolvedJdlrobson
Resolvedovasileva
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
OpenVolker_E
OpenVolker_E
ResolvedNirzar
OpenNone
ResolvedVolker_E
ResolvedLadsgroup
ResolvedVolker_E
ResolvedVolker_E
There are a very large number of changes, so older changes are hidden. Show Older Changes

CodeEditor was the remaining active project with #347bff included.

Volker_E updated the task description. (Show Details)Mar 16 2017, 4:57 AM
Nemo_bis renamed this task from Replace abandoned colors in current WMF/Wikimedia products with WikimediaUI palette colors [tracking] to Replace abandoned colors in current WMF/Wikimedia products with WikimediaUI palette colors (tracking).Mar 16 2017, 7:25 AM
Pine added a subscriber: Pine.Mar 27 2017, 8:49 PM

Change 370484 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] mediawiki.UI: Use WikimediaUI color for @colorTextLight

https://gerrit.wikimedia.org/r/370484

Volker_E removed a subscriber: gerritbot.
Volker_E updated the task description. (Show Details)Aug 26 2017, 7:09 AM
Volker_E updated the task description. (Show Details)Sep 23 2017, 3:05 PM
Volker_E updated the task description. (Show Details)Oct 6 2017, 1:11 AM
Volker_E updated the task description. (Show Details)Oct 6 2017, 4:13 PM
Volker_E updated the task description. (Show Details)Oct 8 2017, 12:05 AM
Volker_E updated the task description. (Show Details)Oct 8 2017, 12:47 AM
Volker_E updated the task description. (Show Details)Oct 8 2017, 1:11 AM
Volker_E updated the task description. (Show Details)Oct 8 2017, 4:42 PM
Volker_E updated the task description. (Show Details)Oct 8 2017, 5:55 PM
Volker_E updated the task description. (Show Details)Oct 8 2017, 5:59 PM
Volker_E updated the task description. (Show Details)Oct 8 2017, 6:02 PM
Volker_E updated the task description. (Show Details)Oct 9 2017, 5:36 AM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Oct 9 2017, 5:45 AM
Volker_E updated the task description. (Show Details)Oct 9 2017, 5:49 AM
Volker_E updated the task description. (Show Details)Oct 16 2017, 12:54 AM
Volker_E updated the task description. (Show Details)Oct 16 2017, 12:58 AM
Volker_E updated the task description. (Show Details)Oct 16 2017, 1:28 AM
Volker_E updated the task description. (Show Details)Oct 17 2017, 7:05 AM
Volker_E updated the task description. (Show Details)Oct 17 2017, 6:31 PM
Volker_E updated the task description. (Show Details)Oct 18 2017, 5:18 AM
Volker_E updated the task description. (Show Details)Oct 18 2017, 11:04 PM
Volker_E updated the task description. (Show Details)Oct 18 2017, 11:30 PM
Volker_E updated the task description. (Show Details)Oct 19 2017, 2:02 AM
Volker_E updated the task description. (Show Details)Oct 19 2017, 2:36 AM
Volker_E updated the task description. (Show Details)Oct 19 2017, 2:56 AM
Volker_E updated the task description. (Show Details)Oct 24 2017, 8:14 AM
Volker_E updated the task description. (Show Details)Mon, Oct 30, 6:05 AM
Volker_E updated the task description. (Show Details)Tue, Oct 31, 5:02 PM
Volker_E updated the task description. (Show Details)Wed, Nov 1, 3:25 AM
Volker_E updated the task description. (Show Details)Wed, Nov 1, 3:54 AM
Volker_E updated the task description. (Show Details)Wed, Nov 1, 7:41 PM
Volker_E updated the task description. (Show Details)Thu, Nov 2, 7:28 AM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Thu, Nov 2, 6:44 PM
Volker_E updated the task description. (Show Details)Thu, Nov 2, 7:39 PM
Volker_E updated the task description. (Show Details)Sat, Nov 4, 2:28 AM

Change 388833 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MultimediaViewer@master] Unify SVG markup

https://gerrit.wikimedia.org/r/388833

Volker_E updated the task description. (Show Details)Sat, Nov 4, 7:48 PM
Volker_E updated the task description. (Show Details)Sat, Nov 4, 8:01 PM
Volker_E updated the task description. (Show Details)Sat, Nov 4, 8:19 PM